CALIBREDB(1)

NAME
calibredb - calibredb

calibredb command [options] [arguments]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   OPTIONS GLOBALES

•   list

•   add

•   AJOUTER A PARTIR DES REPERTOIRES

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPTIONS

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

OPTIONS GLOBALES

--help, -h
    affiche ce message d'aide et quitte

--library-path, --with-library
    Chemin vers la bibliothèque calibre. Par défaut utilise le chemin enregistré dans les paramètres. Vous pouvez vous connecter à un Serveur de contenu calibre pour effectuer des actions sur des bibliothèques distantes. Pour faire cela utiliser une URL de la forme : http://hostname:port/#library_id par exemple, http://localhost:8080/#mylibrary. library_id est l'identifiant de la bibliothèque à laquelle vous vous voulez cous connecter sur le Serveur de Contenu. Vous pouvez utiliser la la valeur spéciale library_id - pour obtenir une liste des bibliothèques disponibles sur le serveur. Pour plus de détails sur comment paramétrer l'accès via un Serveur de Contenu, voir https://manual.calibre-ebook.com/fr/generated/fr/calibredb.html.

--password
    Mot de passe pour la connexion à un Serveur de contenu calibre. Pour lire le mot de passe en entrée standard, utilisez la valeur spéciale : <stdin>. Pour lire le mot de passe à partir d'un fichier, utilisez : <f:/path/to/file>. (c.a.d <f: suivi du chemin complet du fichier et ajouter >). Les chevrons (< ou >) ci-dessus sont obligatoires, n'oubliez pas de les échapper ou d'utiliser des guillemets pour votre shell.

--username
    Nom d'utilisateur pour la connexion au Serveur de contenu calibre

--version
    affiche le numéro de version du logiciel et quitte

LIST

calibredb list [options]

Lister les livres disponibles dans la base Calibre.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--ascending
    Trier les résultats dans l’ordre ascendant

--fields, -f
    Les champs à afficher quand on liste les livres dans la base de données. Devrait être une liste de champs séparés par une virgule. Champs disponibles : author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Par défaut : title,authors. Le champ spécial "all" peut être utiliser pour sélectionner tous les champs. En supplément des champs intégrés ci-dessous, les champs personnalisés sont également disponibles en tant que *field_name, par exemple, pour un champ personnalisé #notation, utiliser le nom : *notation

--for-machine
    Générer une sortie au format JSON, qui est plus commode pour une analyse machine. Entraîne les options largeur de ligne et séparateur à être ignorés.

--limit
    Le maximum de résultats à afficher. Par défaut : tous

--line-width, -w
    Largeur maximum pour une seule ligne en sortie. Par défaut détecte la taille de l’écran.

--prefix
    Préfixe pour tous les chemins vers des fichiers. Par défaut : chemin absolu du dossier de la bibliothèque.

--search, -s
    Filtrer les résultats à l’aide de la requête de recherche. Pour le format de la requête de recherche, veuillez consulter la section recherche dans le manuel utilisateur. Par défaut n’effectue aucun filtrage

--separator
    La chaîne utilisée pour séparer des champs. Par défaut : un espace

--sort-by
    Le champ utilisé pour trier les résultats. Champs disponibles : author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Par défaut : id

ADD

calibredb add [options] fichier1 fichier2 fichier3 …

Ajouter les fichiers spécifiés comme livre numérique à la base de données. Vous pouvez aussi spécifier des dossiers, voir ci-dessous les options relatives aux dossiers.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--authors, -a
    Définissez les auteurs du(es) livre(s) ajouté(s)

--cover, -c
    Chemin à utiliser pour la couverture du livre ajouté

--duplicates, -d
    Ajouter les livres dans la base de données même s’ils existent déjà. La comparaison est basée sur les titres des livres numériques.

--empty, -e
    Ajouter un livre vide (un livre sans formats)

--identifier, -I
    Paramètres les identifiants pour ce livre, par ex. -I asin:XXX -I isbn:YYY

--isbn, -i
    Définir l'ISBN du(es) livre(s) ajouté(s)

--languages, -l
    Une liste de langages séparés par une virgule (mieux d'utiliser les codes de langue IS0639, ainsi certains noms de langues peuvent aussi être reconnus)

--series, -s
    Définir les séries du(es) livre(s) ajouté(s)

--series-index, -S
    Assigne le numéro de la série de(s) livre(s) ajoutés

--tags, -T
    Définir les étiquettes du(es) livre(s) ajouté(s)

--title, -t
    Définir le titre du(es) livre(s) ajouté(s)

  AJOUTER A PARTIR DES REPERTOIRES

Options pour contrôler l'ajout de livres à partir de dossiers. Par défaut seuls les fichiers qui ont des extensions de type livre numérique connues sont ajoutés.

--add
    Un modèle de nom de fichier (glob), les fichiers correspondant à ce modèle seront ajoutés lors de la recherche de fichiers dans des dossiers, même s'ils ne sont pas d'un type de fichier de livre numérique connu. Peut être spécifié plusieurs fois pour différents modèles.

--ignore
    Un modèle de nom de fichier (glob), les fichiers correspondant à ce modèle seront ignorés lors de la recherche de fichiers dans des dossiers. Peut être spécifié plusieurs fois pour différents modèles. Par ex. : *.pdf ignorera tous les fichiers pdf.

--one-book-per-directory, -1
    Suppose que chaque dossier contient un seul livre et que tous les fichiers dans celui-ci sont des formats différents du même livre.

--recurse, -r
    Traite les dossiers récursivement

REMOVE

calibredb supprime les ids

Supprime les livres identifiés par leurs ids de la base de données. Les ids devraient être une liste de nombres id séparés par des virgules (vous pouvez obtenir les numéros id en utilisant la commande search). Par exemple, 23,34,57-85 (quand un intervalle est précisé, le dernier nombre dans l’intervalle n’est pas inclus).

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--permanent
    Ne pas utiliser la corbeille

ADD_FORMAT

calibredb add_format [options] id ebook_file

Ajouter le livre numérique dans ebook_file aux formats disponibles pour le livre logique identifié par l'id. Vous pouvez obtenir l'id à l'aide de la commande search. Si le format existe déjà, il est remplacé, à moins que l'option ne pas remplacer est spécifiée.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--dont-replace
    Ne pas remplacer le format s'il existe déjà

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Supprime le format fmt du livre logique identifié par l'id. Vous pouvez obtenir l’identifiant à l’aide de la commande search. fmt devrait être une extension de fichier comme LRF, TXT ou EPUB. Si le fichier logique n’a pas de format fmt disponible, aucune action n’est effectuée.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Afficher les métadonnées stockées dans la base de données calibre pour le livre identifié par l'id. id est un identifiant obtenu à l’aide de la commande search.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--as-opf
    Imprimer les métadonnées dans un formulaire OPF (XML)

SET_METADATA

calibredb set_metadata [options] id [/path/to/metadata.opf]

Place les métadonnées stockées dans la base de données de calibre pour le livre identifié par l'id à partir du fichier OPF metadata.opf. id est un numéro d'identification issu de la commande search. Vous pouvez obtenir un aperçu rapide du format OPF à l'aide du commutateur --as-opf de la commande show_metadata. Vous pouvez également placer les métadonnées de champs individuels avec l'option --field. Si vous utilisez l'option --field, il n'est pas nécessaire de spécifier un fichier OPF.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--field, -f
    Le champ à définir. Le format est nom_champ:valeur, par exemple: --field tags:tag1,tag2. Utilisez --list-fields pour récupérer une liste de tous les noms de champs. Vous pouvez spécifier cette option plusieurs fois pour définir plusieurs champs. Note: pour le champs "languages" (langues), vous devez utiliser les codes de langues ISO639 (par exemple, en pour Anglais, fr pour Français, et ainsi de suite). Pour les identifiants (identifiers), la syntaxe est --field identifiers:isbn:XXXX,doi:YYYYY. Pour les champs booléens (oui/non), utilisez "true" (vrai) ou "false" (faux) ou "yes" (oui) et "no" (non).

--list-fields, -l
    Lister les champs de métadonnées pouvant être utilisés avec l'option --field

EXPORT

calibredb export [options] ids

Exporter les livres spécifiés par ids (une liste séparée par des virgules) vers le système de fichiers. L’opération d'export enregistre tous les formats du livre, la couverture et les métadonnées (dans un fichier opf). Vous pouvez obtenir les numéros id à partir de la commande search.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--all
    Exporter tous les livres dans la base, en ignorant la liste des ids.

--dont-asciiize
    Normalement, calibre convertira tous les caractères non anglais vers des équivalents anglais pour les noms de fichiers. AVERTISSEMENT : Si vous désactivez ceci, vous pourrez obtenir des erreurs lors de l’enregistrement, cela dépendra si le système de fichiers sur lequel vous sauvegardez prend en charge l’Unicode. Spécifier cette bascule désactivera ce comportement.

--dont-save-cover
    Normalement, calibre enregistrera la couverture dans un fichier séparé avec les fichiers du livre numérique. Spécifier cette bascule désactivera ce comportement.

--dont-update-metadata
    En temps normal calibre mettra à jour les métadonnées des fichiers sauvegardés à partir du contenu de la bibliothèque calibre. L’enregistrement prendra davantage de temps. Spécifier cette bascule désactivera ce comportement.

--dont-write-opf
    Normalement, calibre écrira les métadonnées dans un fichier OPF séparé avec les fichiers de livre numérique actuels. Spécifier cette bascule désactivera ce comportement.

--formats
    Liste séparée par des virgules de formats à enregistrer pour chaque livre. Par défaut tous les formats disponibles sont sauvegardés.

--progress
    Signaler l'avancement

--replace-whitespace
    Remplacer les espaces par des underscores.

--single-dir
    Exporter tous les livres vers un dossier unique

--template
    Modèle pour contrôler le nom des fichier et la structure des dossiers d’enregistrement des fichiers. Par défaut : "{author_sort}/{title}/{title} - {authors}" qui va sauvegarder les livres dans un sous-dossier par auteur avec des noms de fichiers contenant le titre et l’auteur. Les variables disponibles sont  : {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Le format suivant lequel afficher les dates. %d - jour, %b - mois, %m - numéro de mois, %Y - année. Par défaut : %b, %Y

--to-dir
    Exporter les livres vers le dossier spécifié. Par défaut : .

--to-lowercase
    Convertir les chemins en minuscule.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Exporter un catalogue dans un format spécifié par path/to/destination extension. Les options contrôlent comment comment les entées sont affichées dans la sorie du catalogue généré. Noter que différents formats de catalogue supportent différents ensembles d'options.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--ids, -i
    Liste séparée par des virgules d’identifiants de base de données à cataloguer. Si déclaré, --search est ignoré. Par défaut : all

--search, -s
    Filtrer les résultats par la requête de recherche. Pour le format de la requête de recherche, veuillez consulter la section recherche dans le Manuel Utilisateur. Par défaut: Pas de filtre

--verbose, -v
    Affiche des informations détaillées. Utile pour le débogage

  EPUB OPTIONS

--catalog-title
    Titre du catalogue généré utilisé comme titre dans les métadonnées. Par défaut : 'My Books' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--cross-reference-authors
    Crée des références croisées dans la section Auteurs pour les livres avec des auteurs multiples. Par défaut: 'False' S'applique aux formats de sortie: AZW3, EPUB et MOBI

--debug-pipeline
    Enregistre la sortie à différentes étapes du processus de conversion vers le dossier spécifié. Utile si vous n'êtes pas sûr de l'étape de la conversion à laquelle se produit le bogue. Par défaut : 'None' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--exclude-genre
    Expression régulière décrivant les étiquettes à exclure comme genres. Par défaut : '[.+]|^+$' exclut les étiquettes entre crochets, par ex. '[Project Gutenberg]', et '+', l'étiquette par défaut pour les livres lus. S’applique aux formats de sortie : AZW3, EPUB, MOBI

--exclusion-rules
    Indique les règles à appliquer pour exclure des livres du catalogue généré. Le modèle pour une règle d'exclusion est ('<nom de la règle>','Étiquettes','<liste d'étiquettes séparées par des virgules>') or ('<nom de la règle>','<nom de colonne>','<valeur>'). Par exemple: (('Livres archivés','#statut','Archivé'),) exclura les livres qui ont la valeur 'Archivé' dans la colonne 'statut'. Quand plusieurs règles sont définies, toutes les règles seront appliquées. Par défaut: "(('Catalogs','Tags','Catalog'),)" S'applique aux formats de sortie AZW3, EPUB, MOBI

--generate-authors
    Inclut la section 'Auteurs' dans le catalogue. Par défaut : 'False' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--generate-descriptions
    Inclut la section 'Descriptions' dans le catalogue. Par défaut : 'False' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--generate-genres
    Inclut la section 'Genres' dans le catalogue. Par défaut : 'False' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--generate-recently-added
    Inclut la section 'Ajoutés récemment' dans le catalogue. Par défaut : 'False' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--generate-series
    Inclut la section 'Series' dans le catalogue. Par défaut : 'False' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--generate-titles
    Inclut la section 'Titres' dans le catalogue. Par défaut : 'False' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--genre-source-field
    Champ source pour la section 'Genres'. Par défaut : 'Étiquettes' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--header-note-source-field
    Champ personnalisé contenant une note de texte à insérer dans l'en-tête de Description. Par défaut : '' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--merge-comments-rule
    #<custom field> : spécifier [before|after]:[True|False] : <custom field> Champ personnalisé contenant des notes à fusionner avec les Commentaires [before|after] Placement des notes par rapport au Commentaires [True|False] - Une ligne horizontale est insérée entre les notes et les Commentaires Par défaut : '::' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--output-profile
    Spécifie le profil de sortie. Dans certains cas, un profil de sortie est requis pour optimiser le rendu en fonction du périphérique. Par exemple, 'kindle' ou 'kindle_dx' créent une table des matières structurée avec des sections et des articles. Par défaut: 'None' S'applique aux formats de sortie: AZW3, EPUB, MOBI

--prefix-rules
    Indique les règles utilisées pour inclure des préfixes qui indiquent qu'un livre est lu, qu'il est sur votre liste d'envies et d'autres indications personnalisées. Le modèle pour une règle de préfixe est: ('<rule name>','<source field>','<pattern>','<prefix>'). Quand plusieurs règles sont définies, toutes les règles s'appliquent. Par défaut: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" S'applique aux formats de sortie AZW3, EPUB, MOBI

--preset
    Employe un préréglage appelé créé avec le constructeur de Catalogue GUI. Un préréglage spécifie tous les paramètres pour construire un catalogue. Par défaut: 'None' S'applique aux formats de sortie AZW3, EPUB, MOBI

--thumb-width
    Indice de taille (en pouces) pour les couvertures de livres dans le catalogue. Gamme : 1.0 - 2.0 Par défaut : '1.0' S’applique aux formats de sortie : AZW3, EPUB, MOBI

--use-existing-cover
    Remplace la couverture existante lorsque le catalogue est généré. Par défaut : 'False' S’applique aux formats de sortie : AZW3, EPUB, MOBI

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Gère les recherches sauvegardées stockées dans la base de données. Si vous essayez d’ajouter une requête avec un nom préexistant, elle sera remplacée.

Syntaxe pour l'ajout :

calibredb saved_searches add search_name search_expression

Syntaxe pour la suppression :

calibredb saved_searches remove search_name

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [options] label name datatype

Créer une colonne personnalisée. label correspond au nom de la colonne pour le programme. Ne doit pas contenir d’espace ou de deux-points. name est le nom de la colonne pour l’utilisateur. datatype est à choisir parmi : bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--display
    Un dictionnaire des options pour personnaliser la manière dont les données dans cette colonne seront interprétées. C'est une chaîne JSON. Pour des colonnes d'énumération, employez --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Il y a beaucoup d'options qui peuvent entrer dans la variable d'affichage.Les options par type de colonne sont : composite : composite_template, composite_sort, make_category, contains_html, use_decorations datetime : date_format enumeration : enum_values, enum_colors, use_decorations int, float : number_format text : is_names, use_decorations La meilleure manière de trouver des combinaisons légitimes est de créer dans le GUI une colonne personnalisée du type approprié et d'ensuite de regarder dans la sauvegarde de l'OPF d'un livre (assurez-vous qu'un nouvel OPF a été créé depuis que la colonne a été ajoutée). Vous verrez le JSON pour l' « affichage » pour la nouvelle colonne dans l'OPF.

--is-multiple
    Cette colonne stocke les étiquettes comme des données (par exemple des valeurs multiples séparées par des virgules). Appliqué seulement si le type de donnée est du texte.

CUSTOM_COLUMNS

calibredb custom_columns [options]

Liste des colonnes personnalisées disponibles. Affiche les entêtes de colonne et les ids.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--details, -d
    Afficher les détails pour chaque colonne.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label
Enlever la colonne personnalisée identifiée par le libellé. Vous pouvez afficher
les colonnes disponibles avec la commande custom_columns.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--force, -f
    Ne pas demander de confirmation

SET_CUSTOM

calibredb set_custom [options] valeur de l’id de la colonne

Définir la valeur d’une colonne personnalisée pour le livre identifié par l’id. Vous pouvez obtenir une liste d’ids en utilisant la commande search. Vous pouvez obtenir une liste des noms de colonnes personnalisés en utilisant la commande custom_columns.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--append, -a
    Si la colonne stocke des valeurs multiples, ajouter les valeurs spécifiées à celles existantes, au lieu de les remplacer.

RESTORE_DATABASE

calibredb restore_database [options]

Restaure la base de données à partir des métadonnées stockées dans les fichiers OPF présents dans chaque dossier de la bibliothèque calibre. Ceci est utile si votre fichier metadata.db a été corrompu.

ATTENTION : cette commande régénère complètement votre base de données. Vous perdrez toutes les recherches sauvegardées, les catégories utilisateur, les tableaux de connexions, les réglages de conversion par livre et les recettes personnalisées. Les métadonnées restaurées seront aussi précises que ce qui sera trouvé dans les fichiers OPF.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--really-do-it, -r
    Effectuer réellement la récupération. La commande ne sera pas exécutée si cette option n’est pas spécifiée.

CHECK_LIBRARY

calibredb check_library [options]

Réalise des vérifications sur le système de fichiers représentant une bibliothèque. Les rapports sont invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--csv, -c
    Sortie en CSV

--ignore_extensions, -e
    Liste d’extensions à ignorer séparées par des virgules. Par défaut: toutes

--ignore_names, -n
    Liste de noms à ignorer séparés par des virgules. Par défaut : tous

--report, -r
    Liste de rapports séparés par des virgules. Par défaut : tous

LIST_CATEGORIES

calibredb list_categories [options]

Produit un rapport sur les informations des catégories dans la base de données. Les informations sont les équivalents de ce qui est affiché dans le panneau des étiquettes.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--categories, -r
    Liste de catégories de noms de recherche séparées par des virgules. Par défaut : tous

--csv, -c
    Sortie en CSV

--dialect
    Le type de fichier CSV à produire. Choix : excel, excel-tab

--item_count, -i
    Sort seulement le nombre d’articles dans une catégorie au lieu du nombre d’occurrences par article à l’intérieur de la catégorie

--width, -w
    Largeur maximum pour une seule ligne en sortie. Par défaut détecte la taille de l’écran.

BACKUP_METADATA

calibredb backup_metadata [options]

Sauvegarde les métadonnées stockées dans la base de données dans les fichiers OPF individuels dans chaque dossier de livres. Ceci se fait normalement automatiquement, mais vous pouvez lancer cette commande pour forcer la régénération des fichiers OPF, avec l'option --all.

Notez qu'il y a normalement aucun besoin de faire ceci, car les fichiers OPF sont mis à jour automatiquement, chaque fois que les métadonnées sont changées.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--all
    Normalement, cette commande opère seulement sur les livres qui ont des fichiers OPF périmés. Cette option la fait opérer sur tous les livres.

CLONE

calibredb clone path/to/new/library

Crée un clone de la bibliothèque active. Vous obtiendrez une bibliothèque vide qui a exactement les même colonnes personnalisées, bibliothèques virtuelles et autres paramétrages de la bibliothèque active.

Cette bibliothèque clonée ne contiendra aucun livre. Si vous voulez avoir une copie complète, contenu inclus, le plus simple est de copier manuellement le dossier contenant cette bibliothèque.

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [options] book_id

Met à jour les métadonnées dans les fichiers de livre stockées dans la bibliothèque calibre depuis les métadonnées de la base de données calibre. Normalement, les métadonnées sont mises à jour uniquement quand des fichiers sont exportés depuis calibre, cette commande est utile si vous voulez que les fichiers soient mis à jour sur place. Notez que les différents formats de fichiers supportent différentes quantités de métadonnées. Vous pouvez utiliser la valeur spéciale 'all' de book_id pour mettre à jour les métadonnées dans tous les livres. Vous pouvez aussi spécifier beaucoup d'ids de livres séparés par des espaces et des ensembles d'ids séparés par des traits d'union : calibredb embed_metadata 1 2 10-15 23

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--only-formats, -f
    Met uniquement à jour les métadonnées dans les fichiers au format spécifié. Spécifier le plusieurs fois pour de multiples formats. Par défaut, tous les formats sont mis à jour.

SEARCH

calibredb search [options] expression de recherche

Recherche dans la bibliothèque après le terme spécifié dans la recherche, renvoie une liste séparée par une virgule de livres dont les ids correspondent à l'expression de recherche. Le format de sortie est utilisé pour alimenter d'autres commandes qui acceptent une liste d'ids comme entrée.

L'expression de recherche peut être n'importe quoi à partir du puissant langage de requête de recherche de calibre, par exemple : author:asimov title:robot

Chaque fois que vous passez à calibredb des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

--limit, -l
    Le nombre maximum de résultats à renvoyer. Par défaut tous les résultats

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal